<custom-fields>
	<form onsubmit={ add }>
		<button class="button">{ opts.buttonText }</button>
	</form>

	<table>
		<tr each={ item, i in items }>
			<td>
				<label>{ textLabel } { i + 1 }
					<input type="text"
						name="wpcf7-followize-custom-fields[{ i }][label]"
						class="large-text"
						placeholder="{ placeholderLabel } { i + 1 }"
						value={ item.label } />
				</label>
			</td>
			<td>
				<label>{ textTag } { i + 1 }
					<input type="text"
						name="wpcf7-followize-custom-fields[{ i }][value]"
						class="large-text"
						placeholder="{ placeholderTag }"
						value={ item.value } />
				</label>
			</td>
		</tr>
	</table>

	<style scoped>
		table {
			width: 100%;
		}
	</style>

	<script>
		this.items            = opts.items;
		this.textLabel        = opts.textLabel;
		this.textTag          = opts.textTag;
		this.placeholderLabel = opts.placeholderLabel;
		this.placeholderTag   = opts.placeholderTag;

		add(e) {
			this.items.push({label: '', value: ''});
		};
	</script>
</custom-fields>